# __gnu_cxx::binary_compose< _Operation1, _Operation2, _Operation3 > Class Template Reference
[STL extensions from SGI]

Inheritance diagram for __gnu_cxx::binary_compose< _Operation1, _Operation2, _Operation3 >:

List of all members.

## Detailed Description

### template<class _Operation1, class _Operation2, class _Operation3>
class __gnu_cxx::binary_compose< _Operation1, _Operation2, _Operation3 >

An SGI extension .

Definition at line 155 of file ext/functional.

## Public Types

- typedef _Arg argument_type
- typedef _Result result_type

## Public Member Functions

- binary_compose (const _Operation1 &__x, const _Operation2 &__y, const _Operation3 &__z)
- _Operation1::result_type operator() (const typename _Operation2::argument_type &__x) const

## Protected Attributes

- _Operation1 _M_fn1
- _Operation2 _M_fn2
- _Operation3 _M_fn3

## Member Typedef Documentation

template<typename _Arg, typename _Result>

typedef _Arg std::unary_function< _Arg, _Result >::argument_type `[inherited]`

`argument_type` is the type of the

Reimplemented in __gnu_cxx::__detail::_Functor_Ref< _Functor >.

Definition at line 105 of file stl_function.h.

template<typename _Arg, typename _Result>

typedef _Result std::unary_function< _Arg, _Result >::result_type `[inherited]`

argument (no surprises here) `result_type` is the return type

Reimplemented in std::_Reference_wrapper_base_impl< true, true, _Tp >, and __gnu_cxx::__detail::_Functor_Ref< _Functor >.

Definition at line 108 of file stl_function.h.

The documentation for this class was generated from the following file:

- ext/functional